Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
update_arg Struct Reference

## Data Fields
st_data_t | arg
VALUE | hash
VALUE | new_key
VALUE | old_key
VALUE | new_value
VALUE | old_value

## Detailed Description

Definition at line 389 of file hash.c.

## Field Documentation

st_data_t update_arg::arg

Definition at line 390 of file hash.c.

Referenced by hash_aset(), rb_hash_update_block_callback(), rb_hash_update_callback(), rb_hash_update_func_callback(), and tbl_update().

VALUE update_arg::hash

Definition at line 391 of file hash.c.

Referenced by tbl_update().

VALUE update_arg::new_key

Definition at line 392 of file hash.c.

Referenced by hash_aset(), rb_hash_update_block_callback(), rb_hash_update_callback(), rb_hash_update_func_callback(), and tbl_update().

VALUE update_arg::new_value

Definition at line 394 of file hash.c.

Referenced by hash_aset(), rb_hash_update_block_callback(), rb_hash_update_callback(), rb_hash_update_func_callback(), and tbl_update().

VALUE update_arg::old_key

Definition at line 393 of file hash.c.

Referenced by tbl_update().

VALUE update_arg::old_value

Definition at line 395 of file hash.c.

Referenced by hash_aset(), rb_hash_update_block_callback(), rb_hash_update_callback(), rb_hash_update_func_callback(), and tbl_update().

The documentation for this struct was generated from the following file:

- hash.c